/****************************************************************************************************

		I3DExMultiUVSpaceShader.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Pierre-Sylvain
		Date:	2/04/2007

****************************************************************************************************/

#ifndef __I3DExMultiUVSpaceShader__
#define __I3DExMultiUVSpaceShader__

#if CP_PRAGMA_ONCE
#pragma once
#endif


MCDEFINE_GUID_H(IID_I3DExMultiUVSpaceShader);


struct I3DExMultiUVSpaceShader : public IMCUnknown
{
	virtual int32		MCCOMAPI GetUVSpaceCount() = 0;
	virtual void		MCCOMAPI SetUVSpaceCount(int32 uvSpaceCount) = 0;
	virtual void		MCCOMAPI SetShader(int32 uvSpace, I3DShShader* shader) = 0;
	virtual void		MCCOMAPI GetShader(int32 uvSpace, I3DShShader** outShader) = 0;
};


#endif
